# Module: `src\diff_viewer.py`

Auto-generated from source. 2 struct(s) defined in this module.

## `src\diff_viewer.py::DiffFile`

**Kind:** `dataclass`
**Defined at:** line 22

**Fields:**
- `old_path: str`
- `new_path: str`
- `hunks: List[DiffHunk]`


## `src\diff_viewer.py::DiffHunk`

**Kind:** `dataclass`
**Defined at:** line 13

**Fields:**
- `header: str`
- `lines: List[str]`
- `old_start: int`
- `old_count: int`
- `new_start: int`
- `new_count: int`

